<div class="default-interest">
  <p class="default-interest__description">
    Customize default interest configuration for missed payment fees.
  </p>
  <form class="container-form" [formGroup]="form" (ngSubmit)="onSubmit()">
    <layout-setting-item
      title="Trigger:"
      description="Select the missed-payment behavior that triggers the accrual default interests."
    >
      <div class="form">
        <mo-radio
          label="Late installment"
          name="default_trigger"
          id="default_trigger_late_installment"
          value="Late installment"
          formControlName="trigger"
        ></mo-radio>
        <mo-radio
          label="Late due date"
          name="default_trigger"
          id="default_trigger_late_due_date"
          value="Late due date"
          formControlName="trigger"
        ></mo-radio>
      </div>
    </layout-setting-item>

    <layout-setting-item
      title="Interest value:"
      description="Select the daily APR value to calculate the default interests for this credit offer."
    >
      <div class="form__row">
        <mo-input
          placeholder="#"
          [type]="INPUT_TYPE.NUMBER"
          formControlName="interest"
        ></mo-input>
        <span>%</span>
        <span>
          *Daily APR. Take into account that this will be a daily rate even if
          the periodicity of the offer is daily.
        </span>
      </div>
    </layout-setting-item>
    <layout-setting-item
      title="Type of interest:"
      description="Choose if the interest will be accrued on the capital balance plus already accumulated interests, or just the capital balance of this credit offer."
    >
      <div class="form">
        <mo-radio
          label="Simple"
          name="default_type_of_interest"
          id="default_type_of_interest_simple"
          value="Simple"
          formControlName="type_of_interest"
        ></mo-radio>
        <mo-radio
          label="Compound"
          name="default_type_of_interest"
          id="default_type_of_interest_compound"
          value="Compound"
          formControlName="type_of_interest"
        ></mo-radio>
      </div>
    </layout-setting-item>

    <layout-setting-item
      title="Tax:"
      description="If regulations apply, select to include interst tax. If so, enter the respective tax fee."
    >
      <div class="form">
        <mo-radio
          label="Yes"
          name="default_tax"
          id="default_tax_yes"
          value="Yes"
          formControlName="tax"
        ></mo-radio>
        <mo-radio
          label="No"
          name="default_tax"
          id="default_tax_no"
          value="No"
          formControlName="tax"
        ></mo-radio>
      </div>
    </layout-setting-item>

    <layout-setting-item
      description="Tax fee"
      [designClass]="SETTINGS_ITEM_DESIGN_CLASS.ALTERNATIVE"
      *ngIf="form.get('tax').value === 'Yes'"
    >
      <div class="form__row">
        <mo-input
          placeholder="#"
          [type]="INPUT_TYPE.NUMBER"
          formControlName="tax_fee"
          [required]="false"
        ></mo-input>
        <span>%</span>
      </div>
    </layout-setting-item>

    <layout-setting-item
      title="Periodicity:"
      description="Choose the time frequency that will determine the accrual of interests. "
    >
      <div class="form">
        <mo-radio
          label="Daily"
          name="default_periodicity"
          id="default_periodicity_daily"
          value="Daily"
          formControlName="periodicity"
        ></mo-radio>
        <mo-radio
          label="Weekly"
          name="default_periodicity"
          id="default_periodicity_weekly"
          value="Weekly"
          formControlName="periodicity"
        ></mo-radio>
        <mo-radio
          label="Monthly"
          name="default_periodicity"
          id="default_periodicity_monthly"
          value="Monthly"
          formControlName="periodicity"
        ></mo-radio>
      </div>
    </layout-setting-item>

    <layout-setting-item
      title="Fixed or relative:"
      description="Select if the default interests are issued at a fixed day, or relative to the disbursment exact date."
      [designClass]="fixedOrRelativeDesingClass"
    >
      <div class="form">
        <mo-radio
          label="Fixed"
          name="default_fixed_or_relative"
          id="default_fixed_or_relative_fixed"
          value="Fixed"
          formControlName="fixed_or_relative"
        ></mo-radio>
        <mo-radio
          label="Relative"
          name="default_fixed_or_relative"
          id="default_fixed_or_relative_relative"
          value="Relative"
          formControlName="fixed_or_relative"
        ></mo-radio>
      </div>
    </layout-setting-item>

    <layout-setting-item
      title="Grace period:"
      description="Select if this credit will allow a flexible time period before default interest trigger activates."
    >
      <div class="form">
        <mo-radio
          label="Yes"
          name="default_grace_period"
          id="default_grace_period_yes"
          value="Yes"
          formControlName="grace_period"
        ></mo-radio>
        <mo-radio
          label="No"
          name="default_grace_period"
          id="default_grace_period_no"
          value="No"
          formControlName="grace_period"
        ></mo-radio>
      </div>
    </layout-setting-item>

    <layout-setting-item
      *ngIf="form.get('grace_period').value === 'Yes'"
      description="Number of days"
      [designClass]="SETTINGS_ITEM_DESIGN_CLASS.ALTERNATIVE"
    >
      <div class="form">
        <mo-input
          formControlName="grace_period_days"
          placeholder="Days"
          [type]="INPUT_TYPE.NUMBER"
          [required]="false"
        ></mo-input>
      </div>
    </layout-setting-item>

    <div class="form__buttons">
      <ng-container *ngIf="!defaultInterestCharge">
        <mo-button
          (click)="onCancel()"
          text="Cancel"
          [designClass]="BUTTON_DESIGN_CLASS.OUTLINE_DEFAULT"
          [size]="SIZES.MD"
        >
        </mo-button>
        <mo-button
          text="Add charge"
          [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
          [isDisabled]="form.invalid"
          [size]="SIZES.MD"
          [type]="BUTTON_TYPE.SUBMIT"
        >
        </mo-button>
      </ng-container>
      <ng-container *ngIf="defaultInterestCharge">
        <mo-button
          (click)="onRemoveCharges()"
          text="Remove charge"
          [designClass]="BUTTON_DESIGN_CLASS.OUTLINE_PRIMARY_DARK"
          [size]="SIZES.MD"
        >
        </mo-button>
      </ng-container>
    </div>
  </form>
</div>
